<?php

namespace Drupal\instagram_sync\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for the instagram sync entity edit forms.
 */
class InstagramSyncForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $result = parent::save($form, $form_state);

    $entity = $this->getEntity();

    $message_arguments = ['%label' => $entity->toLink()->toString()];
    $logger_arguments = [
      '%label' => $entity->label(),
      'link' => $entity->toLink($this->t('View'))->toString(),
    ];

    switch ($result) {
      case SAVED_NEW:
        $this->messenger()->addStatus($this->t('New instagram sync %label has been created.', $message_arguments));
        $this->logger('instagram_sync')->notice('Created new instagram sync %label', $logger_arguments);
        break;

      case SAVED_UPDATED:
        $this->messenger()->addStatus($this->t('The instagram sync %label has been updated.', $message_arguments));
        $this->logger('instagram_sync')->notice('Updated instagram sync %label.', $logger_arguments);
        break;
    }

    $form_state->setRedirect('entity.instagram_sync.collection');

    return $result;
  }

}
