<?php

namespace Drupal\instagram_sync\Utility;

/**
 * Provides interface for remote instagram API files.
 */
interface InstagramAPIRemoteResourceInterface {

  /**
   * Returns media file URL.
   *
   * @return string
   *   Media URL string.
   */
  public function getUrl(): string;

  /**
   * Returns media file extension.
   *
   * @return string
   *   Media URL extension.
   */
  public function getExtension(): string;

  /**
   * Returns media filename.
   *
   * @return string
   *   Media URL filename.
   */
  public function getFileName(): string;

}
