<?php

namespace Drupal\instagram_sync\Utility;

/**
 * Defines a Fabric class with some methods.
 */
class InstagramApiRemoteResource implements InstagramAPIRemoteResourceInterface {

  /**
   * Instagram Media resources URL.
   */
  protected string $url;

  /**
   * Instagram Media extension.
   */
  protected string $extension;

  /**
   * Instagram Media filename.
   */
  protected string $filename;

  public function __construct(string $url) {
    $parsedUrl = parse_url($url);
    $pathInfo = pathinfo($parsedUrl['path']);

    $this->extension = $pathInfo['extension'] ?? '';
    $this->filename = $pathInfo['filename'] ?? '';
    $this->url = $url;
  }

  /**
   * {@inheritdoc}
   */
  public function getUrl(): string {
    return $this->url;
  }

  /**
   * {@inheritdoc}
   */
  public function getExtension(): string {
    return $this->extension;
  }

  /**
   * {@inheritdoc}
   */
  public function getFileName(): string {
    return $this->filename;
  }

}
